ApiUserAuth::Engine.routes.draw do
  resources :auth, only: :create do
    collection do
      post 'login', action: :login
      post 'provider', action: :provider
      post 'add_provider', action: :add_provider
      patch 'forgot_password', action: :forgot_password
      patch 'password', action: :password
      post 'login', action: :login
      delete 'logout', action: :logout
    end
  end
end
