module ApiUserAuth
  # Forgot password mailer
  class ForgotPasswordMailer < ActionMailer::Base
    default from: 'support@example.com'

    def reset_code(user)
      @email = user.email
      @code = user.code
      mail to: user.email, subject: 'Password Code Reset'
    end
  end
end
