class CreateApiUserAuthAuthUsers < ActiveRecord::Migration[5.2]
  def change
    enable_extension 'pgcrypto'

    create_table :api_user_auth_auth_users do |t|
      t.string :email, null: false, index: { unique: true }
      t.string :encrypted_password, null: false
      t.string :code, default: ''
      t.uuid :auth_tokens, array: true, default: []
      t.jsonb :user_provider_data, default: {}
      t.string :provider, default: 'email'

      t.timestamps
    end
  end
end
