class CreateApiUserAuthProviderTokens < ActiveRecord::Migration[5.2]
  def change
    create_table :api_user_auth_provider_tokens do |t|
      t.references :auth_user, index: true
      t.integer :provider
      t.string :user_id, null: false
      t.jsonb :user_data, default: {}

      t.timestamps
    end
  end
end
